---
title: "Get Subscription Room"
slug: "get-subscription-room"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Room

Get/api/v1/subscriptions.getOne

Get the notification subscription details for a specific room. Note that the unread counter value depends on your settings at the **Manage** > **Workspace** > [**General**](https://docs.rocket.chat/docs/general) section.

### Changelog

| Version | Description |
| --- | --- |
| 0.63.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

The room ID.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='f39109c3-b62c-4f44-8565-9802e29abcfc'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a40a8a7c-a1c8-455b-932b-0d7126680896'>Success Example</option>
</select>Success Example

```json
{
  "result": [
    {
      "_id": "jRca8kibJx8NkLJxt",
      "createdAt": "2018-04-13T12:46:26.517Z",
      "emails": [
        {
          "address": "user.test.1523623548558@rocket.chat",
          "verified": false
        }
      ],
      "name": "EditedRealNameuser.test.1523623548558",
      "username": "editedusernameuser.test.1523623548558",
      "avatarETag": "6YbLtc4v9b4conXon"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  subscriptionobject (Subscription)  _idstring    
openboolean    
alertboolean    
unreadinteger    
userMentionsinteger    
groupMentionsinteger    
tsstring    
ridstring    
namestring    
fnamestring   | null  
tstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
lsstring    
E2EKeystring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='038001d2-ed5f-472f-bba5-a5de060e0c8d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e01ee104-df41-4024-9508-13b1e5fe0920'>Invalid Parameter</option>
</select>Invalid Parameter

```json
{
  "success": false,
  "error": "must have required property 'roomId' [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='0fb5c61f-4193-4825-a933-4feef0a0209d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c1b5dc7b-53fc-44c6-8fe7-6c225bbc4392'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
